## tqdm 4.4.1

=== debian/changelog ===
tqdm (4.4.1-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 26 May 2016 10:06:30 -0400

tqdm (4.4.1-1) unstable; urgency=low

  * Initial release; Closes: #821174

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2016 13:43:49 +0100
