## tqdm 4.7.4

=== debian/changelog ===
tqdm (4.7.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont install RELEASE, removed upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 19:18:08 +0100
