=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
 
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTE README.rst RELEASE
+	dh_installdocs -A CONTRIBUTE README.rst
 
 override_dh_installexamples:
 	dh_installexamples -A examples/*.py
