=== debian/changelog ===
tqdm (4.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 16:24:18 -0400
