## tqdm 4.10.0

=== debian/changelog ===
tqdm (4.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 18:37:28 -0500
