## tqdm 4.11.1

=== debian/changelog ===
tqdm (4.11.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - install CONTRIBUTING.md as doc
    - run performance tests in a separate, non-failing, command; Closes: #851591

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 16:13:28 -0500
