=== debian/changelog ===
tqdm (4.11.2-1) unstable; urgency=medium

  * New upstream release; Closes: #849632

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Jan 2017 19:30:01 -0500
