=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools, python-docopt, python3-docopt, python-nose, python3-nose
Standards-Version: 3.9.8
Homepage: https://github.com/tqdm/tqdm
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tqdm.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tqdm.git

Package: python-tqdm
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: fast, extensible progress bar for Python 2
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 2 version of tqdm .

Package: python3-tqdm
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.
