=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,15 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB2)/tqdm/
-	nosetests $(LIB2)/tqdm/
+	# run perf tests in a separate, non-failing, line
+	nosetests -Itests_perf.py $(LIB2)/tqdm/
+	-nosetests $(LIB2)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB2)/tqdm/tests/
 
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
-	nosetests3 $(LIB3)/tqdm/
+	# run perf tests in a separate, non-failing, line
+	nosetests3 -Itests_perf.py $(LIB3)/tqdm/
+	-nosetests3 $(LIB3)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
 endif
 
@@ -29,7 +33,7 @@
 	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
 
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTE README.rst
+	dh_installdocs -A CONTRIBUTING.md README.rst
 
 override_dh_installexamples:
 	dh_installexamples -A examples/*.py
