=== debian/changelog ===
tqdm (4.19.5-1) unstable; urgency=medium

  * New upstream release; Closes: #885898
  * debian/copyright
    - extend packaging copyright notice
    - update upstream copyright information
  * debian/control
    - bump Standards-Version to 4.1.3 (no changes needed)
  * debian/rules
    - install tqdm manpage only in py3k package
    - install all examples and dont compress files with py extension
    - run tests in verbose mode

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Dec 2017 22:44:14 -0500
