=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools, python-docopt, python3-docopt, python-nose, python3-nose
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tqdm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tqdm.git
