=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,32 @@
 	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB2)/tqdm/
 	# run perf tests in a separate, non-failing, line
-	nosetests -Itests_perf.py $(LIB2)/tqdm/
-	-nosetests $(LIB2)/tqdm/tests/tests_perf.py
+	nosetests --verbose -Itests_perf.py $(LIB2)/tqdm/
+	-nosetests --verbose $(LIB2)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB2)/tqdm/tests/
 
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
 	# run perf tests in a separate, non-failing, line
-	nosetests3 -Itests_perf.py $(LIB3)/tqdm/
-	-nosetests3 $(LIB3)/tqdm/tests/tests_perf.py
+	nosetests3 --verbose -Itests_perf.py $(LIB3)/tqdm/
+	-nosetests3 --verbose $(LIB3)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
 endif
 
 override_dh_auto_install:
 	python  setup.py install --root=debian/python-tqdm  --install-layout=deb
-	# cli tools are provided only by the py3k package
+	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
+	# cli tools and manpage re provided only by the py3k package
 	rm -rf $(CURDIR)/debian/python-tqdm/usr/bin
-	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
+	rm -rf $(CURDIR)/debian/*/usr/man
+
+override_dh_installman:
+	dh_installman -ppython3-tqdm tqdm.1
 
 override_dh_installdocs:
 	dh_installdocs -A CONTRIBUTING.md README.rst
 
 override_dh_installexamples:
-	dh_installexamples -A examples/*.py
+	dh_installexamples -A examples/*
+
+override_dh_compress:
+	dh_compress -X.py
