## tqdm 4.23.4

=== debian/changelog ===
tqdm (4.23.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jun 2018 16:33:14 -0400
