=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools, python-docopt, python3-docopt, python-nose, python3-nose
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/tqdm/tqdm
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tqdm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tqdm.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm
 
 Package: python-tqdm
 Architecture: all
