=== debian/changelog ===
tqdm (4.28.1-1ubuntu1) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Aug 2019 10:32:30 -0700

tqdm (4.28.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - new location of manpage
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
    - add pandas to b-d, needed by tests
  * debian/patches/0001-skip-tests.patch
    - skip some failing tests

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Dec 2018 15:11:24 -0500
