=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python3, dh-python, python3-setuptools, python3-docopt, python3-nose, python3-pandas
Standards-Version: 4.2.1
Homepage: https://github.com/tqdm/tqdm
Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm

Package: python3-tqdm
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.
