=== debian/rules ===
#!/usr/bin/make -f

LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")

%:
	dh $@ --with python3

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
	# run perf tests in a separate, non-failing, line
	nosetests3 --verbose -Itests_perf.py $(LIB3)/tqdm/
	-nosetests3 --verbose $(LIB3)/tqdm/tests/tests_perf.py
	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
endif

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
	# manpage handled separately
	rm -rf $(CURDIR)/debian/*/usr/man

override_dh_installman:
	dh_installman -ppython3-tqdm tqdm/tqdm.1

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTING.md README.rst

override_dh_installexamples:
	dh_installexamples -A examples/*

override_dh_compress:
	dh_compress -X.py
