## tqdm 4.30.0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,7 @@
 # IMPORTANT: for compatibility with `python setup.py make [alias]`, ensure:
 # 1. Every alias is preceded by @[+]make (eg: @make alias)
 # 2. A maximum of one @make alias or command per line
-#
-# Sample makefile compatible with `python setup.py make`:
-#```
-#all:
-#	@make test
-#	@make install
-#test:
-#	nosetest
-#install:
-#	python setup.py install
-#```
+# see: https://github.com/tqdm/py-make/issues/1
 
 .PHONY:
 	alltests
@@ -27,14 +17,17 @@
 	coverclean
 	prebuildclean
 	clean
+	toxclean
 	installdev
 	install
 	build
+	buildupload
 	pypi
+	help
 	none
 
 help:
-	@python setup.py make
+	@python setup.py make -p
 
 alltests:
 	@+make testcoverage
@@ -47,7 +40,8 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --exclude .asv,.tox -j 8 --count --statistics --exit-zero .
+	@+flake8 --max-line-length=80 --exclude .asv,.tox,.ipynb_checkpoints,build \
+    -j 8 --count --statistics --exit-zero .
 
 test:
 	tox --skip-missing-interpreters
@@ -86,9 +80,11 @@
 	asv preview
 
 tqdm/tqdm.1: .tqdm.1.md
-	python -m tqdm --help | tail -n+5 | cat "$<" - |\
-    sed -r 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' |\
-    sed -r 's/  (-.*, --.*)  /\n\1\n: /' |\
+	python -m tqdm --help | tail -n+5 |\
+    sed -r -e 's/\\/\\\\/g' \
+      -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
+      -e 's/  (-.*, )(--.*)  /\n\1\\\2\n: /' |\
+    cat "$<" - |\
     pandoc -o "$@" -s -t man
 
 distclean:
