=== debian/changelog ===
tqdm (4.30.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update to new upstream code
  * debian/patches/0001-skip-tests.patch
    - update patch to new upstream code
  * Drop python2 support; Closes: #938681
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Oct 2019 13:51:14 -0400
