=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tqdm
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python, python3-setuptools, python3-docopt, python3-nose, python3-pandas
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-setuptools, python3-docopt, python3-nose, python3-pandas
+Standards-Version: 4.4.1
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm
