=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	python3 setup.py build
@@ -20,8 +20,7 @@
 
 override_dh_auto_install:
 	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
-	# manpage handled separately
-	rm -rf $(CURDIR)/debian/*/usr/man
+	# cli tools and manpage re provided only by the py3k package
 
 override_dh_installman:
 	dh_installman -ppython3-tqdm tqdm/tqdm.1
