## tqdm 4.48.1

=== debian/changelog ===
tqdm (4.48.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont run the test_comppath test, requires tqdm to be installed
  * debian/control
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
    - bump compat level to 13

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Aug 2020 01:35:20 -0400

tqdm (4.43.0-1) unstable; urgency=medium

  * New upstream release; Closes: #951982
  * debian/copyright
    - update upstream copyright notice
    - extend packaging copyright years
  * debian/patches/0001-skip-tests.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Mar 2020 22:47:05 -0500
