## tqdm 4.48.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	testtimer
 	distclean
 	coverclean
+	pre-commit
 	prebuildclean
 	clean
 	toxclean
@@ -23,8 +24,11 @@
 	build
 	buildupload
 	pypi
+	snap
+	docker
 	help
 	none
+	run
 
 help:
 	@python setup.py make -p
@@ -40,17 +44,20 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --exclude .asv,.tox,.ipynb_checkpoints,build \
-    -j 8 --count --statistics --exit-zero .
+	@+flake8 -j 8 --count --statistics --exit-zero .
 
 test:
-	tox --skip-missing-interpreters
+	TOX_SKIP_ENV=perf tox --skip-missing-interpreters -p all
+	tox -e perf
 
 testnose:
 	nosetests tqdm -d -v
 
 testsetup:
-	python setup.py check --restructuredtext --strict
+	@make README.rst
+	@make tqdm/tqdm.1
+	@make tqdm/completion.sh
+	python setup.py check --metadata --restructuredtext --strict
 	python setup.py make none
 
 testcoverage:
@@ -72,14 +79,15 @@
 
 testasvfull:
 	# Test all the commits since the beginning (full test)
-	asv run -j 8 v1.0.0..master
+	asv run --skip-existing-commits -j 8 v1.0.0..HEAD
 	@make testasv
 
 viewasv:
 	asv publish
 	asv preview
 
-tqdm/tqdm.1: .tqdm.1.md
+tqdm/tqdm.1: .meta/.tqdm.1.md tqdm/cli.py tqdm/std.py
+	# TODO: add to mkdocs.py
 	python -m tqdm --help | tail -n+5 |\
     sed -r -e 's/\\/\\\\/g' \
       -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
@@ -87,10 +95,32 @@
     cat "$<" - |\
     pandoc -o "$@" -s -t man
 
+tqdm/completion.sh: .meta/mkcompletion.py tqdm/std.py tqdm/cli.py
+	@python .meta/mkcompletion.py
+
+README.rst: .meta/.readme.rst tqdm/std.py tqdm/cli.py
+	@python .meta/mkdocs.py
+
+snapcraft.yaml: .meta/.snapcraft.yml
+	cat "$<" | sed -e 's/{version}/'"`python -m tqdm --version`"'/g' \
+    -e 's/{commit}/'"`git describe --always`"'/g' \
+    -e 's/{source}/./g' -e 's/{icon}/logo.png/g' \
+    -e 's/{description}/https:\/\/tqdm.github.io/g' > "$@"
+
+.dockerignore: .gitignore
+	cat $^ > "$@"
+	echo ".git" > "$@"
+	git clean -xdn | sed -nr 's/^Would remove (.*)$$/\1/p' >> "$@"
+
 distclean:
 	@+make coverclean
 	@+make prebuildclean
 	@+make clean
+pre-commit:
+	# quick sanity checks
+	@make testsetup
+	flake8 -j 8 --count --statistics tqdm/ examples/
+	nosetests tqdm --ignore-files="tests_(perf|keras)\.py" -e "pandas|monitoring" -d
 prebuildclean:
 	@+python -c "import shutil; shutil.rmtree('build', True)"
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
@@ -98,10 +128,12 @@
 coverclean:
 	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
 	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
+	@+python -c "import shutil; shutil.rmtree('tqdm/contrib/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/tests/__pycache__', True)"
 clean:
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/contrib/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
 toxclean:
@@ -122,6 +154,7 @@
 
 build:
 	@make prebuildclean
+	@make testsetup
 	python setup.py sdist bdist_wheel
 	# python setup.py bdist_wininst
 
@@ -129,9 +162,20 @@
 	twine upload dist/*
 
 buildupload:
-	@make testsetup
 	@make build
 	@make pypi
 
+snap:
+	@make -B snapcraft.yaml
+	snapcraft
+docker:
+	@make .dockerignore
+	@make coverclean
+	@make clean
+	docker build . -t tqdm/tqdm
+	docker tag tqdm/tqdm:latest tqdm/tqdm:$(shell docker run -i --rm tqdm/tqdm -v)
 none:
 	# used for unit testing
+
+run:
+	python -Om tqdm --help
