=== debian/changelog ===
tqdm (4.48.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 18 Aug 2020 22:52:19 -0300
