=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-docopt,
               python3-nose,
               python3-pandas,
               python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/tqdm/tqdm
Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm

Package: python3-tqdm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.
