=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
 	# run perf tests in a separate, non-failing, line
-	nosetests3 --verbose -Itests_perf.py $(LIB3)/tqdm/
+	nosetests3 --verbose -Itests_perf.py -etest_comppath $(LIB3)/tqdm/
 	-nosetests3 --verbose $(LIB3)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
 endif
