=== debian/changelog ===
tqdm (4.51.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches
    - remove patch, no longer required
  * switch to nose to pytest
  * debian/control
    - build/test/install for all availble python3 versions

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 23:28:37 -0400
