=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               python3-all,
                python3-docopt,
-               python3-nose,
                python3-pandas,
+               python3-pytest,
                python3-setuptools,
 Standards-Version: 4.5.0
 Homepage: https://github.com/tqdm/tqdm
-Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm
+Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm
 
 Package: python3-tqdm
 Architecture: all
