=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	dh_installman -ppython3-tqdm tqdm/tqdm.1

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTING.md README.rst

override_dh_installexamples:
	dh_installexamples -A examples/*

override_dh_compress:
	dh_compress -X.py
