## tqdm 4.57.0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	testtimer
 	distclean
 	coverclean
-	pre-commit
 	prebuildclean
 	clean
 	toxclean
@@ -62,14 +61,14 @@
 
 testcoverage:
 	@make coverclean
-	pytest -k "not tests_perf" --cov=tqdm --cov-fail-under=80
+	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-fail-under=80
 
 testperf:
 	# do not use coverage (which is extremely slow)
-	pytest -k tests_perf
+	pytest -k perf
 
 testtimer:
-	pytest --durations=10
+	pytest
 
 # another performance test, to check evolution across commits
 testasv:
@@ -102,40 +101,37 @@
 README.rst: .meta/.readme.rst tqdm/std.py tqdm/cli.py
 	@python .meta/mkdocs.py
 
-snapcraft.yaml: .meta/.snapcraft.yml
-	cat "$<" | sed -e 's/{version}/'"`python -m tqdm --version`"'/g' \
-    -e 's/{commit}/'"`git describe --always`"'/g' \
-    -e 's/{source}/./g' -e 's/{icon}/logo.png/g' \
-    -e 's/{description}/https:\/\/tqdm.github.io/g' > "$@"
+snapcraft.yaml: .meta/mksnap.py
+	@python .meta/mksnap.py
 
-.dockerignore: .gitignore
-	cat $^ > "$@"
-	echo ".git" > "$@"
-	git clean -xdn | sed -nr 's/^Would remove (.*)$$/\1/p' >> "$@"
+.dockerignore:
+	@+python -c "fd=open('.dockerignore', 'w'); fd.write('*\n!dist/*.whl\n')"
+
+Dockerfile:
+	@+python -c 'fd=open("Dockerfile", "w"); fd.write("FROM python:3.8-alpine\nCOPY dist/*.whl .\nRUN pip install -U $$(ls ./*.whl) && rm ./*.whl\nENTRYPOINT [\"tqdm\"]\n")'
 
 distclean:
 	@+make coverclean
 	@+make prebuildclean
 	@+make clean
-pre-commit:
-	# quick sanity checks
-	@make --no-print-directory testsetup
-	flake8 -j 8 --count --statistics tqdm/ tests/ examples/
-	pytest -qq -k "basic_overhead or not (perf or keras or pandas or monitoring)"
 prebuildclean:
 	@+python -c "import shutil; shutil.rmtree('build', True)"
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
+	@+python -c "import shutil; shutil.rmtree('.eggs', True)"
+	@+python -c "import os; os.remove('tqdm/_dist_ver.py') if os.path.exists('tqdm/_dist_ver.py') else None"
 coverclean:
 	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('.coverage.*')]"
 	@+python -c "import shutil; shutil.rmtree('tests/__pycache__', True)"
+	@+python -c "import shutil; shutil.rmtree('benchmarks/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/contrib/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/examples/__pycache__', True)"
 clean:
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tests/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('benchmarks/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/contrib/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
@@ -172,9 +168,9 @@
 	@make -B snapcraft.yaml
 	snapcraft
 docker:
+	@make build
 	@make .dockerignore
-	@make coverclean
-	@make clean
+	@make Dockerfile
 	docker build . -t tqdm/tqdm
 	docker tag tqdm/tqdm:latest tqdm/tqdm:$(shell docker run -i --rm tqdm/tqdm -v)
 none:
