=== debian/changelog ===
tqdm (4.57.0-2) unstable; urgency=medium

  * debian/patches/dont-use-setuptools-scm.patch
    - since we disabled setuptools_scm, we need to explicly retrieve and set
      tqdm version, so that egginfo has the right version too; Closes: #983007

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Mar 2021 03:57:27 -0500

tqdm (4.57.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/pytest6-compat.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Feb 2021 23:24:33 -0500

tqdm (4.56.2-1) unstable; urgency=medium

  * New upstream release; Closes: #980680
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/patches/dont-use-setuptools-scm.patch
    - dont use setuptools scm
  * debian/patches/pytest6-compat.patch
    - drop durations-min, not compatible with the version of pytest we have in
      unstable at this time
    - remove -W=error, several warnings with Pandas need to be resolved first
  * debian/patches/*
    - refresh patches
  * debian/control
    - add keras, pytest-asyncio, rich, tk to b-d, needed by tests
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/rules
    - disable test_keras, currently failing in theano
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Feb 2021 01:11:25 -0500
