=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-docopt,
-               python3-pandas,
-               python3-pytest,
+               python3-keras <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+               python3-rich <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.0
+               python3-tk <!nocheck>,
+Standards-Version: 4.5.1
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm
