=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath'
+export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath and not test_keras'
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
