## tqdm 4.64.0

=== debian/changelog ===
tqdm (4.64.0-2) unstable; urgency=medium

  * Team upload.
  * Drop unused test dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Apr 2022 21:05:35 +0200

tqdm (4.64.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Make "Files: *" paragraph the first in the copyright file.

  [ Jochen Sprickerhof ]
  * New upstream version 4.64.0 (Closes: #997477)
  * Rebase patch
  * Drop pytest6-compat patch (pytest was updated)
  * bump policy version (no changes)
  * Add new test dependency
  * Fix d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 14 Apr 2022 23:04:01 +0200
