## tqdm 4.64.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	test
 	pytest
 	testsetup
+	testnb
 	testcoverage
 	testperf
 	testtimer
@@ -18,7 +19,7 @@
 	prebuildclean
 	clean
 	toxclean
-	installdev
+	install_dev
 	install
 	build
 	buildupload
@@ -43,7 +44,8 @@
 	@+make build
 
 flake8:
-	@+flake8 -j 8 --count --statistics --exit-zero .
+	@+pre-commit run -a flake8
+	@+pre-commit run -a nbstripout
 
 test:
 	TOX_SKIP_ENV=perf tox --skip-missing-interpreters -p all
@@ -59,9 +61,13 @@
 	python setup.py check --metadata --restructuredtext --strict
 	python setup.py make none
 
+testnb:
+	pytest tests_notebook.ipynb --nbval --nbval-current-env -W=ignore --nbval-sanitize-with=setup.cfg --cov=tqdm.notebook --cov-report=term
+
 testcoverage:
 	@make coverclean
-	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-fail-under=80
+	pytest tests_notebook.ipynb --cov=tqdm --cov-report= --nbval --nbval-current-env --nbval-sanitize-with=setup.cfg -W=ignore
+	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-append --cov-fail-under=80
 
 testperf:
 	# do not use coverage (which is extremely slow)
@@ -139,9 +145,6 @@
 	@+python -c "import shutil; shutil.rmtree('.tox', True)"
 
 
-installdev:
-	python setup.py develop --uninstall
-	python setup.py develop
 submodules:
 	git clone git@github.com:tqdm/tqdm.wiki wiki
 	git clone git@github.com:tqdm/tqdm.github.io docs
@@ -150,6 +153,14 @@
 
 install:
 	python setup.py install
+install_dev:
+	python setup.py develop --uninstall
+	python setup.py develop
+install_build:
+	python -m pip install -r .meta/requirements-dev.txt
+install_test:
+	python -m pip install -r .meta/requirements-test.txt
+	pre-commit install
 
 build:
 	@make prebuildclean
