=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-docopt,
                python3-pandas <!nocheck>,
@@ -14,7 +14,7 @@
                python3-rich <!nocheck>,
                python3-setuptools,
                python3-tk <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm
